Subject: Re: [PATCH 8/14] ps3: bind interrupt to cpu

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 25 Jan 2007 14:54:05 +1100

> -int ps3_alloc_io_irq(unsigned int interrupt_id, unsigned int *virq);
> +enum ps3_cpu_binding {
> +	PS3_BINDING_CPU_0 = 0,
> +	PS3_BINDING_CPU_1 = 1,
> +	PS3_BINDING_CPU_ANY = 3,
> +};

While this patch might still get in since it actually fixes a problem,
the normal way of expressing interrupt bindings on linux is via a
cpumask. I recommend you do that too and update the affinity mask in
the irq_desc even if you don't provide a set_affinity() callback to
do runtime change just yet (and maybe never due to HV limitations).

Ben.